from flask import Blueprint, request, render_template, redirect
from models import Asset, db

delete_bp = Blueprint('deleteasset', __name__)

@delete_bp.route('/delete/<string:assettag>/', methods=['GET', 'POST'])
def delete(assettag):
    item = Asset.query.filter_by(assettag=assettag).first()
    if request.method == 'POST':
        if item:
            db.session.delete(item)
            db.session.commit()
            return redirect('/viewall')
        abort(404)

    return render_template('delete.html')